Bug 446095 - [RHEL5.2Beta] filter is not applied on exchange mailboxes
[RHEL5.2Beta] filter is not applied on exchange mailboxes
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution-connector (Show other bugs)
All Linux
medium Severity high
: rc
: ---
Assigned To: Milan Crha
: ZStream
Depends On:
Blocks: 446173
  Show dependency treegraph
Reported: 2008-05-12 14:22 EDT by ritz
Modified: 2010-10-22 20:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 05:16:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 444503 None None None Never

  None (edit)
Description ritz 2008-05-12 14:22:02 EDT
Description of problem:

incoming mail is not being filtered in exchange mailboxes.  None of my filters
are working as mail comes in.  Selecting mail after it has arrived and applying
filters works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Subscribe to exchange mailbox
2. Create filters
3. Wait for them to be applied
Actual results:
No go

Expected results:
filters should be applied

Additional info:
suspect upstream bugzilla - 
and the patch for the same

Regression - filters used to work with Evo2.8/RHEL5.1
Comment 1 RHEL Product and Program Management 2008-05-12 14:35:33 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 2 Matthew Barnes 2008-05-12 15:04:14 EDT
Confirmed.  I found that same bug and patch independently, and then realized you
already referenced it!  Easy fix.  Unfortunate that it slipped through.
Comment 19 Yan Tian 2009-06-07 23:00:28 EDT
Just checked the bug was reproduced with evolution-connector-2.12.3-10.el5.

Step1: Subscribe to exchange mailbox.
Step2: Add a filter for testing.
Step3: The new mail received in Inbox, not in filtered folder.
Step4: Click the new mail, then click Message->Apply Filter, the mail will move to the filtered folder as expected.

Actual results:
The new mail not move to the filtered folder as expected

Expected results:
The new mail should move to the filtered folder as expected
Comment 20 Milan Crha 2009-06-08 06:26:57 EDT
Just checked and works fine for me.

My Incoming message filter is very simple, if sender contains redhat.com move message to the exchange folder personal/Inbox/RedHat

Then, in account preferences I've set on the Receiving options tab:
- automatically check for new mail every...
- Apply filters to new messages in Inbox on this server

With this set (and to be sure closed evolution and reopend it), when such message is received to the Inbox it's properly moved to the folder I set in the rule.

My evolution packages are:
Comment 21 Yan Tian 2009-06-09 21:43:50 EDT
Refer to Comment #20, verified this bug was fixed with:
Comment 23 errata-xmlrpc 2009-09-02 05:16:47 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.